#ifndef EFFECT_H
#define EFFECT_H

#include "./../../lib/GLee/GLee.h"
#include "./math/SupportFunctions.h"
#include "./renderer/Render.h"
#include <cassert>

using namespace std;

///Interface for graphic effect.
class Effect
{
private:
	//float animationTime;
	bool active;

public:
	void setActive( bool );	/**< Activates and deactivates the effect */
	virtual bool isActive( void );	/**< Says if the effect is active now or is not.*/

	virtual void render( Render & render )=0;	/**< Render the effect */
	virtual void simulate( float dt) {};

	//float getAnimationTime( void );	/**< Returns the value of animationTime */
	//virtual void animation( float time );	/**< Sets the animationTime value */

	Effect();
	virtual ~Effect() {};
};



#endif